Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Interface AutoNumberHome

All Superinterfaces:
  javax.ejb.EJBHome, java.rmi.Remote

public interface AutoNumberHome
extends javax.ejb.EJBHome

Method Summary
`AutoNumber` | `create(java.lang.String name)` Creates an AutoNumber of given name.
`AutoNumber` | `findByPrimaryKey(java.lang.String name)` Finds an AutoNumber by its name.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### create

    public AutoNumber create(java.lang.String name)
                      throws javax.ejb.CreateException,
                             java.rmi.RemoteException

  Creates an AutoNumber of given name.
  Parameters:
    `name` - the name of the AutoNumber

### findByPrimaryKey

    public AutoNumber findByPrimaryKey(java.lang.String name)
                                throws javax.ejb.FinderException,
                                       java.rmi.RemoteException

  Finds an AutoNumber by its name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.